BackendHTTP APIEnvironments

Delete an environment API key

Requires an Account API key. Create one from Account API keys in the dashboard.

Deletes an Environment API key. environmentUuid is the UUID returned when the environment was created. keyUuid is the UUID returned when the key was created.

DELETE
/environments/{environmentUuid}/api-keys/{keyUuid}

Delete an environment API key

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

environmentUuid*string

Environment UUID that owns the key.

Formatuuid
keyUuid*string

API key UUID returned when the key was created.

Formatuuid

Response Body

Successfully deleted the Environment API key

application/json
  1. response
success*boolean
Example Request
curl -X DELETE 'https://api.tenklo.dev/environments/123e4567-e89b-12d3-a456-426614174000/api-keys/123e4567-e89b-12d3-a456-426614174001'
Example Response
{  "success": true}